%% ===========================================================================
% Copyright (C) 1999 by Telia Research AB, Lulea, Sweden; All rights reserved. 
% 
% Description   : File containing user definitions for an fsan experiment
%
% File          : userDefinitionsExampleHAM.m
% Project       : FSAN simulator
% Author(s)     : Tomas Nordstrom (Tomas.B.Nordstrom@Telia.se)
%
% CVS:       $Id: userDefinitionsExampleHAM.m,v 1.2 1999/03/31 13:15:35 tono Exp $
%% ===========================================================================

%% ===========================================================================
% Change History
%      1998-03-02 (ToNo) Created
%      1998-03-05 (ToNo) Modified the definition of hambands.
%% ===========================================================================
global ex;

%% ===========================================================================
% Below follows any user modifications to the experiment setups

% Set HAMBAND to ETSI HAMBAND definition

tmp_tfplan=getList(ex.tfplist,ex.param.HambandName); % Get a template

% Modify name and PSD mask
tmp_tfplan.name='ETSI-HAMBAND';
tmp_tfplan.downstream='calcPSD([ 3e3 0 1.81e6 0 1.81e6 -80 2e6 -80 2e6 0 3.5e6 0 3.5e6 -80 3.8e6 -80 3.8e6 0 7e6 0 7e6 -80 7.1e6 -80 7.1e6 0 10.1e6 0 10.1e6 -80 10.15e6 -80 10.15e6 0 14e6 0 14e6 -80 14.35e6 -80 14.35e6 0 18.068e6 0 18.068e6 -80 18.168e6 -80 18.168e6 0 21e6 0 21e6 -80 21.45e6 -80 21.45e6 0 24.89e6 0 24.89e6 -80 24.99e6 -80 24.99e6 0 28e6 0 28e6 -80 29.1e6 -80 29.1e6 0],''Linear'')';  
tmp_tfplan.upstream=tmp_tfplan.downstream;

% Store and make default
ex.tfplist=insertList(ex.tfplist,tmp_tfplan);
ex.param.HambandName=tmp_tfplan.name;