function bits=calcTheoBitLoad(SNR,SNRmax,Gamma);
%% ===========================================================================
%calcTheoBitLoad - Calculate theoretical bit-loading
%
% Parameter:    SNR	Signal to noise ratio
% Parameter:    SNTmax	Max Signal to noise ratio
% Parameter:    Gamma	shannonGap
% Returns:      bits	Bits we can theoretically send
%
% Example(s):
%
% Algorithmic details:
%
% Reference:
%% ===========================================================================

%% ===========================================================================
% Copyright (C) 1998 by Telia Research AB, Lulea, Sweden; All rights reserved. 
% Project       : FSAN duplex model
% Author(s)     : Daniel Bengtsson (Daniel.J.Bengtsson@Telia.se)
%               : Tomas Nordstrom (Tomas.B.Nordstrom@Telia.se)
%
% CVS:       $Id: calcTheoBitLoad.m,v 1.3 1999/03/31 13:31:43 dab Exp $
%% ===========================================================================
% Change History
%      1998-12-17 (Dab)  Created
%      1998-12-21 (ToNo) Added comments and changed name
%% ===========================================================================

temp=find(SNR>SNRmax);
SNR(temp)=(SNRmax).*ones(size(temp));
Used=10.^((SNR-Gamma)/10);
bits=log2(1+Used);

