function calbackGO;
%% ===========================================================================
% calbackGO - Callback to run experiment
% 
% Example(s):
%	uicontrol('string','GO', 'Position', [310 fheight-uiheight+10 60 20],...
%       	  'callback','result=callbackGO;')
% Algorithmic details:
%
% Reference:
%    
%% ===========================================================================

%% ===========================================================================
% Copyright (C) 1998 by Telia Research AB, Lulea, Sweden; All rights reserved. 
% Project       : FSAN duplex model
% Author(s)     : Tomas Nordstrom (Tomas.B.Nordstrom@Telia.se)
%               : Daniel Bengtsson (Daniel.J.Bengtsson@Telia.se)
%
% CVS:       $Id: callbackGO.m,v 1.3 1999/03/31 13:31:44 dab Exp $
%% ===========================================================================
% Change History
%      1999-02-04 (DaB)  Created
%      1999-02-04 (ToNo) Modified header and changed name to callbackGO
%% ===========================================================================
global ex;
global setupfig;

% Set up a the list of analysed modems (modemlist)
if ex.param.testADSL,
   ex.param.modemlist=unique([ex.param.modemlist; 'ADSL'],'rows');
else
   ex.param.modemlist=setdiff(ex.param.modemlist,'ADSL','rows');
end;

if ex.param.testVDSL,
   ex.param.modemlist=unique([ex.param.modemlist; 'VDSL'],'rows');
else
   ex.param.modemlist=setdiff(ex.param.modemlist,'VDSL','rows');
end;

% Run experiment
set(setupfig,'Pointer','watch');
result = evalExperiment;
set(setupfig,'Pointer','arrow');

% Show results
uiResults(ex,result);