function models = getNoiseModels();
%% ===========================================================================
%getNoiseModels - Gets all available noise models for FSAN duplex experiments.
%
% Returns:      models	List of (predefined) noise models that can be used
%
% Example(s):
%   mod = getNoiseModels; returns an array of strings containing available 
%   model names
%
% Algorithmic details:
%
% Reference:
%    FSAN duplex simulation memo, Telia 1998
%% ===========================================================================

%% ===========================================================================
% Copyright (C) 1999 by Telia Research AB, Lulea, Sweden; All rights reserved. 
% Project       : FSAN duplex model
% Author(s)     : Tomas Nordstrom (Tomas.B.Nordstrom@Telia.se)
%               : 
%
% CVS:       $Id: getNoiseModels.m,v 1.3 1999/03/31 13:31:48 dab Exp $
%% ===========================================================================
% Change History
%      1999-01-05 (ToNo) Created
%		 1999-01-07 (DaB)  Added ADSL lite models 
%% ===========================================================================

% This list was generated by running the following (on unix):
% sed s/%.\*// setupTFplan.m | grep name | perl "-F'" -nae 'print "'\''",@F[1],"'\'', ...", "\n";'  | grep Model
% Note that one need to remove the last "," from the result

models = str2mat( ...
'Calculate', ...
'Model A (FTTCab VDSL)', ...
'Model B (FTTCab VDSL)', ...
'Model C (FTTCab VDSL)', ...
'Model D (FTTEx VDSL)', ...
'Model E (FTTEx VDSL)', ...
'Model F (FTTEx VDSL)', ...
'Model A (SDSL)', ...
'Model B (SDSL)' ...
);
