function methods = getPBOmethods();
%% ===========================================================================
%getPBOmethods - Gets all available PBO methods for FSAN duplex experiments.
%
% Returns:      methods	Structure describing the traffic and topology
%
% Example(s):
%   scen = getPBOmethods; returns an array of strings containing available 
%   scenario names
%
% Algorithmic details:
%
% Reference:
%    FSAN duplex simulation memo, Telia 1998
%% ===========================================================================

%% ===========================================================================
% Copyright (C) 1999 by Telia Research AB, Lulea, Sweden; All rights reserved. 
% Project       : FSAN duplex model
% Author(s)     : Tomas Nordstrom (Tomas.B.Nordstrom@Telia.se)
%               : 
%
% CVS:       $Id: getPBOmethods.m,v 1.2 1999/03/31 13:16:13 tono Exp $
%% ===========================================================================
% Change History
%      1998-12-16 (ToNo) Created
%      1999-03-11 (DaB) Added new PBO methods
%% ===========================================================================

% This list was generated by running the following (on unix):
% sed s/%.\*// evalPBO.m | grep case | perl "-F'" -nae 'print "'\''",@F[1],"'\'', ...", "\n";'
% Note that one need to remove the last "," from the result

methods = str2mat( ...
'None', ...
'RefLen', ...
'RefFEXT', ...
'RefNoise', ...
'RefFreq' ...
);
