function P=modelPSD_isdn_pra(f)
%% ===========================================================================
% modelPSD_isdn_pra - calculates PSD mask for DTAG ISDN_PRA model 
%
% Parameter:    f	frequency axis
% Returns:      L	PSD mask
%
% Example(s):
%   
% Algorithmic details:
%   
% Reference:
%    FSAN duplex simulation memo, Telia 1998
%    model provided by DTAG (ref. Mathias Friese)
%% ===========================================================================

%% ===========================================================================
% Copyright (C) 1998,99 by Telia Research AB, Lulea, Sweden; All rights reserved. 
% Project       : FSAN duplex model
% Author(s)     : Daniel Bengtsson (Daniel.J.Bengtsson@Telia.se)
%               : 
%
% CVS:       $Id: modelPSD_isdn_pra.m,v 1.2 1999/03/31 13:16:17 tono Exp $
%% ===========================================================================
% Change History
%      1999-02-09 (DaB) Created
%      1999-03-01 (DaB) Use Rob's model from TD20 ETSI Villach 1999
%% ===========================================================================

P0 = 12.4; % mW  = 10.92 dBm;  
Rs=130;   
f0 = 1.024.*1e6; 
f3dB = 1.024.*1e6; 
N=0.9;
P=2./f0.*(sinc(f./f0-1)).^2./(1 + (f/f3dB).^(2.*N)).*P0;


function y=sinc(x)
		
y=ones(size(x));
i=find(x);
y(i)=sin(pi*x(i))./(pi*x(i));
