%% ===========================================================================
% Copyright (C) 1999 by Telia Research AB, Lulea, Sweden; All rights reserved. 
% 
% Description   : Standard cable definitions
%
% File          : stdCables.m
% Project       : FSAN duplex model
% Author(s)     : Daniel Bengtsson (Daniel.J.Bengtsson@Telia.se)
%               : Tomas Nordstrom (Tomas.B.Nordstrom@Telia.se)
%
% CVS:       $Id: stdCables.m,v 1.3 1999/06/18 13:31:51 tono Exp $
%% ===========================================================================

%% ===========================================================================
% Change History
%      1998-01-05 (Dab)  Moved to this project
%      1998-01-07 (ToNo) Added header and comments
%      1999-02-08 (DaB)  Fixed index bug in DTAG06 cable
%      1999-06-18 (ToNo) Removed one of the operators cables
%% ===========================================================================

%% ===========================================================================
% Finnish cables

% 0.4 mm
r0c=271.9983;
r0s=inf;
ac=0.07960468;
as=0;
l0=710.7494e-6;
loo=590.0163e-6;
b=1.229532;
fm=1.0300517e6;
coo=38.6e-9;
c0=0;
ce=0;
g0=1.100869e-9;
ge=0.999424;
param(1,:)=[r0c,r0s,ac,as,l0,loo,b,fm,coo,c0,ce,g0,ge];

% 0.5 mm
r0c=173.99847;
r0s=inf;
ac=0.0322326;
as=0;
l0=707.45088e-6;
loo=581.5551e-6;
b=1.095304;
fm=693.804e3;
coo=38.9e-9;
c0=0;
ce=0;
g0=0.5007629e-9;
ge=1.04681;
param(2,:)=[r0c,r0s,ac,as,l0,loo,b,fm,coo,c0,ce,g0,ge];

%% ===========================================================================
% Brittish Telecom cables

% dw1 Single Pair 0.91 mm cadmium-copper conductor PVC insulated 
r0c=65.32;
r0s=inf;
ac=2.715283e-3;
as=0;
l0=0.884242e-3;
loo=800.587e-6;
b=1.30698;
fm=263371;
coo=28.0166e-9;
c0=46.5668e-9;
ce=0.117439;
g0=855e-9;
ge=0.746;
param(9,:)=[r0c,r0s,ac,as,l0,loo,b,fm,coo,c0,ce,g0,ge];

% dw3 Single Pair 0.72 mm copper coverd steel PVC insulated
r0c=335.180;
r0s=1281.3;
ac=5.35389e-3;
as=30286.34;
l0=1.14166e-3;
loo=708.221e-6;
b=1.12676;
fm=15211;
coo=24.446503e-9;
c0=34.431082e-9;
ce=0.06589;
g0=137.182e-9;
ge=0.807645;
param(10,:)=[r0c,r0s,ac,as,l0,loo,b,fm,coo,c0,ce,g0,ge];

% dw5
r0c=335.321;
r0s=1116.45012;
ac=10.996373e-3;
as=13175.463;
l0=1.13771e-3;
loo=792.766e-6;
b=1.52968;
fm=20842.6;
coo=29.297887e-9;
c0=31.60789e-9;
ce=0.1115489;
g0=32.574128e-9;
ge=0.919;
param(11,:)=[r0c,r0s,ac,as,l0,loo,b,fm,coo,c0,ce,g0,ge];

% dw6 Single Pair 0.81 mm copper covered steel conductor PVC insulated 
r0c=270.70256;
r0s=774.23224;
ac=2.48956e-3;
as=3349.76;
l0=1.10646e-3;
loo=760.267e-6;
b=1.35790;
fm=15668;
coo=27.8941e-9;
c0=39.4114e-9;
ce=0.106593;
g0=360e-9;
ge=0.777;
param(12,:)=[r0c,r0s,ac,as,l0,loo,b,fm,coo,c0,ce,g0,ge];

% dw8 Single Pair flat twin 1.14 mm cadmium-copper conductor PVC insulated 
r0c=41.16;
r0s=inf;
ac=1.2179771e-3;
as=0;
l0=1e-3;
loo=910.505e-6;
b=1.1952665;
fm=174877;
coo=22.681213e-9;
c0=31.778569e-9;
ce=0.11086674;
g0=53e-9;
ge=0.88;
param(13,:)=[r0c,r0s,ac,as,l0,loo,b,fm,coo,c0,ce,g0,ge];

% dw10 2 Pair 0.5 mm copper conductor PVC ins. PVC ins. steel Polyeth. sheath 
r0c=180.93;
r0s=inf;
ac=0.0497223;
as=0;
l0=728.8683e-6;
loo=543.4352e-6;
b=0.75577086;
fm=718888;
coo=50.928328e-9;
c0=63.824345e-9;
ce=0.11584622;
g0=89.041038e-9;
ge=0.85606301;
param(14,:)=[r0c,r0s,ac,as,l0,loo,b,fm,coo,c0,ce,g0,ge];

% dw12 Single Pair 0.9 mm copper conductor Pol.ins. PVC cov. steel Pol.sheath  
r0c=55.460555;
r0s=inf;
ac=4.9924627e-3;
as=0;
l0=0.62104396e-3;
loo=461.954e-6;
b=0.93970931;
fm=193049;
coo=51.128076e-9;
c0=5.802245e-9;
ce=0.10064577;
g0=20e-9;
ge=0.88;
param(15,:)=[r0c,r0s,ac,as,l0,loo,b,fm,coo,c0,ce,g0,ge];

% dwug mult pair 0.5 mm copper Poly. ins. Underground dist.
r0c=179;
r0s=inf;
ac=35.89e-3;
as=0;
l0=0.695e-3;
loo=585e-6;
b=1.2;
fm=1e6;
coo=55e-9;
c0=1e-9;
ce=0.1;
g0=0.5e-9;
ge=1.033;
param(16,:)=[r0c,r0s,ac,as,l0,loo,b,fm,coo,c0,ce,g0,ge];

%% ===========================================================================
% TP1 0.4 mm 26-AWG 
r0c=286.17578;
r0s=inf;
ac=0.14769620;
as=0.0;
l0=675.36888e-6;
loo=488.95186e-6;
b=0.92930728;
fm=806.33863e3;
coo=49e-9;
c0=0;
ce=0;
g0=43e-9;
ge=0.7;
param(17,:)=[r0c,r0s,ac,as,l0,loo,b,fm,coo,c0,ce,g0,ge];


% TP2 0.5 mm 24-AWG 
r0c=174.55888;
r0s=inf;
ac=0.053073481;
as=0.0;
l0=617.29539e-6;
loo=478.97099e-6;
b=1.1529766;
fm=553.760e3;
coo=50e-9;
c0=0;
ce=0;
g0=234.87476e-15;
ge=1.38;
param(18,:)=[r0c,r0s,ac,as,l0,loo,b,fm,coo,c0,ce,g0,ge];

% TP3 DW10 0.5mm copper PVC ins. Poly. sheath
r0c=180.93;
r0s=inf;
ac=0.0497223;
as=0.0;
l0=728.87e-6;
loo=543.43e-6;
b=0.75577086;
fm=718.888e3;
coo=51e-9;
c0=63.8e-9;
ce=0.11584622;
g0=89e-9;
ge=0.856;
param(19,:)=[r0c,r0s,ac,as,l0,loo,b,fm,coo,c0,ce,g0,ge];


%% ===========================================================================
% FP 1.14mm flat twin DW8
r0c=41.16;
r0s=inf;
ac=0.001218;
as=0.0;
l0=1000e-6;
loo=911e-6;
b=1.195;
fm=174877;
coo=22.68e-9;
c0=31.78e-9;
ce=0.1109;
g0=53e-9;
ge=0.88;
param(20,:)=[r0c,r0s,ac,as,l0,loo,b,fm,coo,c0,ce,g0,ge];


%% ===========================================================================
% DTAG cables

% 0.35 mm
Ka1=[9.4 2.4 15.9];
Ka2=[13.2 19.9 11.2];
Ka3=[0.97 0.54 0.69];
Kb1=34.2;
Kb2=2.62;
Kz1=132;
Kz2=5;
Kz3=0.73;
Kx1=0.05;
Kx2=0.024;
Kx3=0.87;
param_dtag(1,:)=[Ka1,Ka2,Ka3,Kb1,Kb2,Kz1,Kz2,Kz3,Kx1,Kx2,Kx3];

% 0.40 mm
Ka1=[6.9 0.3 10.4];
Ka2=[13.4 18.9 11.5];
Ka3=[0.99 0.5 0.64];
Kb1=32.9;
Kb2=2.26;
Kz1=127;
Kz2=8.8;
Kz3=0.51;
Kx1=0.045;
Kx2=0.016;
Kx3=0.81;
param_dtag(2,:)=[Ka1,Ka2,Ka3,Kb1,Kb2,Kz1,Kz2,Kz3,Kx1,Kx2,Kx3];

% 0.50 mm
Ka1=[4.2 0.7 10.3];
Ka2=[11.9 14.1 7.7];
Ka3=[0.92 0.52 0.68];
Kb1=30.6;
Kb2=1.62;
Kz1=141;
Kz2=3.4;
Kz3=0.69;
Kx1=0.038;
Kx2=0.0082;
Kx3=0.73;
param_dtag(3,:)=[Ka1,Ka2,Ka3,Kb1,Kb2,Kz1,Kz2,Kz3,Kx1,Kx2,Kx3];

% 0.60 mm
Ka1=[2.4 1.1 8.7];
Ka2=[11.2 11.6 6.6];
Ka3=[0.75 0.54 0.69];
Kb1=30.4;
Kb2=1.62;
Kz1=135;
Kz2=3.4;
Kz3=0.63;
Kx1=0.036;
Kx2=0.0038;
Kx3=0.64;
param_dtag(4,:)=[Ka1,Ka2,Ka3,Kb1,Kb2,Kz1,Kz2,Kz3,Kx1,Kx2,Kx3];

%% ===========================================================================
% KPN cables

% KPN_L1
Z0oo=136.651;
c=0.79766*300e6;
Rss00=0.168145;
tan_fi=0.13115;
Kf=0.72;
K1=1.2;
Kn=1;
Kc=1.08258;
N=0.7;
fc0=4521710;
M=1;
param_kpn(1,:)=[Z0oo,c,Rss00,tan_fi,Kf,K1,Kn,Kc,N,fc0,M];

% KPN_L2
Z0oo=136.047;
c=0.798958*300e6;
Rss00=0.168145;
tan_fi=0.16998;
Kf=0.7;
K1=1.1;
Kn=1;
Kc=1.08201;
N=1;
fc0=1862950;
M=1;
param_kpn(2,:)=[Z0oo,c,Rss00,tan_fi,Kf,K1,Kn,Kc,N,fc0,M];

% KPN_L3
Z0oo=137.527;
c=0.850608*300e6;
Rss00=0.065682;
tan_fi=0.114526;
Kf=1;
K1=1;
Kn=1;
Kc=1.06967;
N=1;
fc0=559844;
M=1;
param_kpn(3,:)=[Z0oo,c,Rss00,tan_fi,Kf,K1,Kn,Kc,N,fc0,M];

% KPN_L4
Z0oo=137.005;
c=0.787661*300e6;
Rss00=0.168145;
tan_fi=0.153522;
Kf=0.9;
K1=1;
Kn=1;
Kc=1.07478;
N=1;
fc0=557458;
M=1;
param_kpn(4,:)=[Z0oo,c,Rss00,tan_fi,Kf,K1,Kn,Kc,N,fc0,M];

% KPN_H1
Z0oo=135.458;
c=0.640381*300e6;
Rss00=0.177728;
tan_fi=0.018425;
Kf=0.85;
K1=1;
Kn=1;
Kc=1.11367;
N=1.5;
fc0=5020;
M=1;
param_kpn(5,:)=[Z0oo,c,Rss00,tan_fi,Kf,K1,Kn,Kc,N,fc0,M];

% KPN_KK
Z0oo=142.451;
c=0.712318*300e6;
Rss00=0.177728;
tan_fi=0.071111;
Kf=0.8;
K1=1.1;
Kn=1;
Kc=1.09373;
N=0.5;
fc0=8088;
M=1;
param_kpn(6,:)=[Z0oo,c,Rss00,tan_fi,Kf,K1,Kn,Kc,N,fc0,M];

% KPN_R2
Z0oo=97.4969;
c=0.639405*300e6;
Rss00=0.177728;
tan_fi=0.0189898/(2*pi);
Kf=0.5;
K1=1.14;
Kn=1;
Kc=1;
N=1;
fc0=100000;
M=1;
param_kpn(7,:)=[Z0oo,c,Rss00,tan_fi,Kf,K1,Kn,Kc,N,fc0,M];
